<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

return array(
	'size' => array(
		'title'       => __( 'Velkosť štítkov', 'depo-sk' ),
		'type'        => 'select',
		'description' => __( 'Velkosť štítkov na hárok A4 (3x5|2x2)', 'depo-sk' ),
		'options'     => array(
			'3x5' => __('3x5', 'depo-sk' ),
			'2x2' => __('2x2', 'depo-sk' )
			)
		),
	'enviroment' => array(
		'title'       => __( 'Prostredie', 'depo-sk' ),
		'type'        => 'select',
		'description' => __( 'Objednávky - Na ostro / skúšanie', 'depo-sk' ),
		'options'     => array(
			'production'  => __('Produkcia', 'depo-sk' ),
			'development' => __('Vývoj', 'depo-sk' ),
			),
		),
	'checkout_width_edit' => array(
		'title'       => __( 'Rozšíriť tabuľku s dopravou', 'depo-sk' ),
		'type'        => 'select',
		'description' => __( 'Pri nízkych rozlíšeniach rozšíriť tabuľku s prepravnými metódami tak aby bol pohodlný výber na mobilnom zariadení', 'depo-sk' ),
		'default'     => '1',
		'options'     => array(
			'1' => __('Áno', 'depo-sk' ),
			'0' => __('nie', 'depo-sk' ),
			),
		),
	'checkout_use_iframe' => array(
		'title'       => __( 'Zobraziť mapu', 'depo-sk' ),
		'type'        => 'select',
		'description' => __( 'Pri výbere výdajneho miesta použiť mapu', 'depo-sk' ),
		'default'     => '1',
		'options'     => array(
			'1' => __('Áno', 'depo-sk' ),
			'0' => __('nie', 'depo-sk' ),
			),
		),
	'cod' => array(
		'title'       => __( 'Dobierka', 'depo-sk' ),
		'type'        => 'multiselect',
		'description' => __( 'Vyberte pri ktorých platbách sa platí v hotovosti. (označiť viac pomocou ctrl)', 'depo-sk' ),
		'options'     => $available_gateways
		),
	'debug' => array(
		'title'          => __( 'Debug', 'depo-sk' ),
		'type'           => 'select',
		'default'     	 => '0',
		// 'description' => __( 'Ukladanie API komunikácie do súboru', 'depo-sk' ),
		'description'    => sprintf( __( 'Ukladanie API komunikácie %sdo súboru%s.', 'depo-sk' ), '<a target="_blank" href="' . OKTO_DEPO_URL . OKTO_DEPO_DEBUG . '">', '</a>' ),
		'options'        => array(
			'1'  => __('Áno', 'depo-sk' ),
			'0' => __('Nie', 'depo-sk' ),
			),
		),
	'client' => array(
		'title'       => __( 'ID zákazníka', 'depo-sk' ),
		'type'        => 'number',
		'description' => __( 'Identifikačné číslo zákazníka.', 'depo-sk' ) . 
						' ' . 
						__( 'viac info tu: ', 'depo-sk') . 
						'<a target="_blank" href="' . 
						plugins_url( 'docu/', dirname( __FILE__ ) ) . 
						'">' .
						__( 'Documentation' ) .
						'</a>',
		'default'     => __( '0', 'depo-sk' )
		),
	'username' => array(
		'title'       => __( 'Email', 'depo-sk' ),
		'type'        => 'email',
		'description' => __( 'Prihlasovací email.', 'depo-sk' ),
		'default'     => __("", 'depo-sk')
		),
	'password' => array(
		'title'       => __( 'Heslo', 'depo-sk' ),
		'type'        => 'password',
		'description' => __( 'Prihlasovacie heslo.', 'depo-sk' ),
		'default'     => __("", 'depo-sk')
		),
	);